Bug 29703 - Simplify GetBranchItemRule using get_effective_rules
Summary: Simplify GetBranchItemRule using get_effective_rules
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Nick Clemens
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-12-15 16:27 UTC by Nick Clemens
Modified: 2022-02-25 15:41 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.05.00


Attachments
Bug 29703: Use get_effective_rules in GetBranchItemRule (2.16 KB, patch)
2021-12-15 16:28 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 29703: Use get_effective_rules in GetBranchItemRule (2.21 KB, patch)
2022-02-17 21:33 UTC, Michal Denar
Details | Diff | Splinter Review
Bug 29703: Use get_effective_rules in GetBranchItemRule (2.28 KB, patch)
2022-02-18 09:07 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2021-12-15 16:27:09 UTC
Possibly we should work towards removing this sub, but for now we should use get_effective_rules rather than calling get_effective rule three times
Comment 1 Nick Clemens 2021-12-15 16:28:32 UTC
Created attachment 128574 [details] [review]
Bug 29703: Use get_effective_rules in GetBranchItemRule

To test:
1 - prove -v t/db_dependent/Circulation/Branch.t
Comment 2 Michal Denar 2022-02-17 21:33:50 UTC
Created attachment 130771 [details] [review]
Bug 29703: Use get_effective_rules in GetBranchItemRule

To test:
1 - prove -v t/db_dependent/Circulation/Branch.t

Signed-off-by: Michal Denar <black23@gmail.com>
Comment 3 Jonathan Druart 2022-02-18 09:07:17 UTC
Created attachment 130812 [details] [review]
Bug 29703: Use get_effective_rules in GetBranchItemRule

To test:
1 - prove -v t/db_dependent/Circulation/Branch.t

Signed-off-by: Michal Denar <black23@gmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Fridolin Somers 2022-02-25 00:36:33 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄